#################################################################
#   )      (\_     # WOLFPACK 13.0.0 Scripts                    #
#  ((    _/{  "-;  # Created by: khpae                          #
#   )).-" {{ ;"`   # Revised by:                                #
#  ( (  ;._ \\ ctr # Last Modification: Created                 #
#################################################################

import wolfpack
from spells.spellfunctions import *
import whrandom

def onSpellSuccess( char, spell, type, target ):
	# target check is done at c++ code
	tgt = target.item
	if not tgt:
		return
	# skill check is done in c++ core
	if( tgt.hastag( "magictrap" ) ):
		tgt.removetag( "magictrap" )
	# effects
	tgt.soundeffect( 0x1f0 )
	tgt.effect( 0x376a )
	return 1

